Post multiple orders
curl --request DELETE \
--url https://api.aisa.one/apis/v1/polymarket/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
"0xabcdef1234567890abcdef1234567890abcdef12",
"0xfedcba0987654321fedcba0987654321fedcba09",
"0x1234567890abcdef1234567890abcdef12345678"
]
'import requests
url = "https://api.aisa.one/apis/v1/polymarket/orders"
payload = ["0xabcdef1234567890abcdef1234567890abcdef12", "0xfedcba0987654321fedcba0987654321fedcba09", "0x1234567890abcdef1234567890abcdef12345678"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
'0xabcdef1234567890abcdef1234567890abcdef12',
'0xfedcba0987654321fedcba0987654321fedcba09',
'0x1234567890abcdef1234567890abcdef12345678'
])
};
fetch('https://api.aisa.one/apis/v1/polymarket/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canceled": [
"0xabcdef1234567890abcdef1234567890abcdef12",
"0xfedcba0987654321fedcba0987654321fedcba09",
"0x1234567890abcdef1234567890abcdef12345678"
],
"not_canceled": {}
}Polymarket Clob
Post multiple orders
Submit multiple orders to the CLOB API in a single request. Maximum array length is 15.
DELETE
https://api.aisa.one
/
apis
/
v1
/
polymarket
/
orders
Post multiple orders
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Maximum array length:
1000响应
Cancellation results for all orders
Array of order IDs that were successfully canceled
示例:
[
"0xabcdef1234567890abcdef1234567890abcdef12"
]
Map of order IDs that could not be canceled with error messages
Show child attributes
Show child attributes
示例:
{
"0xabcdef1234567890abcdef1234567890abcdef12": "Order not found or already canceled"
}